Package org.springframework.cloud.task.batch.configuration

# Class JobLaunchCondition

java.lang.Object
org.springframework.boot.autoconfigure.condition.SpringBootCondition
org.springframework.boot.autoconfigure.condition.AbstractNestedCondition
org.springframework.boot.autoconfigure.condition.AllNestedConditions
org.springframework.cloud.task.batch.configuration.JobLaunchCondition

All Implemented Interfaces:
  `org.springframework.context.annotation.Condition`, `org.springframework.context.annotation.ConfigurationCondition`

public class JobLaunchCondition extends org.springframework.boot.autoconfigure.condition.AllNestedConditions
Evaluates if the correct conditions have been met to create a TaskJobLauncher.

Since:
  2.2.0
Author:
  Glenn Renfro

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.springframework.boot.autoconfigure.condition.AbstractNestedCondition

  `org.springframework.boot.autoconfigure.condition.AbstractNestedCondition.MemberMatchOutcomes`

  ## Nested classes/interfaces inherited from interface org.springframework.context.annotation.ConfigurationCondition

  `org.springframework.context.annotation.ConfigurationCondition.ConfigurationPhase`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobLaunchCondition()`

- ## Method Summary

  ### Methods inherited from class org.springframework.boot.autoconfigure.condition.AllNestedConditions

  `getFinalMatchOutcome`

  ### Methods inherited from class org.springframework.boot.autoconfigure.condition.AbstractNestedCondition

  `getConfigurationPhase, getMatchOutcome`

  ### Methods inherited from class org.springframework.boot.autoconfigure.condition.SpringBootCondition

  `anyMatches, logOutcome, matches, matches`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.springframework.context.annotation.Condition

  `matches`

- ## Constructor Details

  - ### JobLaunchCondition

    public JobLaunchCondition()